Package org.osgi.service.resolver

# Interface HostedCapability

All Superinterfaces:
  `Capability`

@ProviderType public interface HostedCapability extends Capability
A capability hosted by a resource.

A HostedCapability is a Capability where the `getResource()` method returns a Resource that hosts this Capability instead of declaring it. This is necessary for cases where the declaring Resource of a Capability does not match the runtime state. For example, this is the case for fragments attached to a host. Most fragment declared capabilities and requirements become hosted by the host resource. Since a fragment can attach to multiple hosts, a single capability can actually be hosted multiple times.

## Method Summary

Modifier and Type
Method
Description
`Capability`
`getDeclaredCapability()`
Return the Capability hosted by the Resource.
`Resource`
`getResource()`
Return the Resource that hosts this Capability.

### Methods inherited from interface org.osgi.resource.Capability

`equals, getAttributes, getDirectives, getNamespace, hashCode`

## Method Details

### getResource

Resource getResource()
Return the Resource that hosts this Capability.

Specified by:
  `getResource` in interface `Capability`
Returns:
  The Resource that hosts this Capability.

### getDeclaredCapability

Capability getDeclaredCapability()
Return the Capability hosted by the Resource.

Returns:
  The Capability hosted by the Resource.